Bug 168194 - [GTK] Test /webkit2/WebKitWebExtension/form-controls-associated-signal is flaky
Summary: [GTK] Test /webkit2/WebKitWebExtension/form-controls-associated-signal is flaky
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Michael Catanzaro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-12 11:26 PST by Michael Catanzaro
Modified: 2018-01-02 10:17 PST (History)
7 users (show)

See Also:


Attachments
Patch (2.81 KB, patch)
2017-12-23 19:42 PST, Michael Catanzaro
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-elcapitan-wk2 (2.97 MB, application/zip)
2017-12-23 21:43 PST, EWS Watchlist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2017-02-12 11:26:32 PST
The GTK+ API test /webkit2/WebKitWebExtension/form-controls-associated-signal fails roughly half the time:

ERROR:../../Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebExtensions.cpp:223:void didAssociateFormControlsCallback(GDBusConnection*, const char*, const char*, const char*, const char*, GVariant*, WebViewTest*): assertion failed: (!g_strcmp0(formIds, FORM_ID FORM2_ID) || !g_strcmp0(formIds, INPUT_ID))

The test expects this callback to be called first with the string "form-idform2-id"; however, it is often called with "form2-idform-id" instead. Sergio, do you think this is a problem that needs to be fixed, or does it not matter and we just need to update the assertion?
Comment 1 Michael Catanzaro 2017-02-12 11:30:13 PST
Skipped in r212208: <http://trac.webkit.org/changeset/212208>
Comment 2 Michael Catanzaro 2017-12-23 19:25:07 PST
(In reply to Michael Catanzaro from comment #0)
> The test expects this callback to be called first with the string
> "form-idform2-id"; however, it is often called with "form2-idform-id"
> instead. Sergio, do you think this is a problem that needs to be fixed, or
> does it not matter and we just need to update the assertion?

We just need to update the assertion.
Comment 3 Michael Catanzaro 2017-12-23 19:42:31 PST
Created attachment 330166 [details]
Patch
Comment 4 EWS Watchlist 2017-12-23 21:43:36 PST
Comment on attachment 330166 [details]
Patch

Attachment 330166 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5815929

New failing tests:
imported/w3c/web-platform-tests/service-workers/service-worker/ServiceWorkerGlobalScope/update.https.html
Comment 5 EWS Watchlist 2017-12-23 21:43:38 PST
Created attachment 330170 [details]
Archive of layout-test-results from ews106 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 6 WebKit Commit Bot 2018-01-02 10:17:11 PST
Comment on attachment 330166 [details]
Patch

Clearing flags on attachment: 330166

Committed r226326: <https://trac.webkit.org/changeset/226326>
Comment 7 WebKit Commit Bot 2018-01-02 10:17:12 PST
All reviewed patches have been landed.  Closing bug.